data:extend({
  {
    type = "module",
    name = "speed-module-4",
    icon = "__Advanced_Machines__/graphics/icons/modules/speed-module-4.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "speed",
    tier = 4,
    order = "a[speed]-d[speed-module-4]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { speed = {bonus = 0.75}, consumption = {bonus = 0.85}}
  },
  {
    type = "module",
    name = "speed-module-5",
    icon = "__Advanced_Machines__/graphics/icons/modules/speed-module-5.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "speed",
    tier = 4,
    order = "a[speed]-e[speed-module-5]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { speed = {bonus = 1.0}, consumption = {bonus = 1.0}}
  },
  {
    type = "module",
    name = "effectivity-module-4",
    icon = "__Advanced_Machines__/graphics/icons/modules/effectivity-module-4.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "effectivity",
    tier = 4,
    order = "c[effectivity]-d[effectivity-module-4]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { consumption = {bonus = -0.75}}
  },
  {
    type = "module",
    name = "effectivity-module-5",
    icon = "__Advanced_Machines__/graphics/icons/modules/effectivity-module-5.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "effectivity",
    tier = 5,
    order = "c[effectivity]-e[effectivity-module-5]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { consumption = {bonus = -1.0}}
  },
  {
    type = "module",
    name = "productivity-module-4",
    icon = "__Advanced_Machines__/graphics/icons/modules/productivity-module-4.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "productivity",
    tier = 4,
    order = "c[productivity]-d[productivity-module-4]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { productivity = {bonus = 0.15}, consumption = {bonus = 1.0}, pollution = {bonus = 0.125}, speed = {bonus = -0.15}},
    limitation = productivitymodulelimitation(),
    limitation_message_key = "production-module-usable-only-on-intermediates"
  },
  {
    type = "module",
    name = "productivity-module-5",
    icon = "__Advanced_Machines__/graphics/icons/modules/productivity-module-5.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "module",
    category = "productivity",
    tier = 5,
    order = "c[productivity]-e[productivity-module-5]",
    stack_size = 50,
    default_request_amount = 10,
    effect = { productivity = {bonus = 0.25}, consumption = {bonus = 1.25}, pollution = {bonus = 0.15}, speed = {bonus = -0.15}},
  }
})